Berkeley DB version 4.6.21

## com.sleepycat.db
Class ReplicationHoldElectionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sleepycat.db.DatabaseException
                  com.sleepycat.db.ReplicationHoldElectionException

All Implemented Interfaces:
  Serializable

    public class ReplicationHoldElectionException

extends DatabaseException

An election is needed. The application should call for an election by calling `Environment.electReplicationMaster`.

See Also:
  Serialized Form

Method Summary

Methods inherited from class com.sleepycat.db.DatabaseException
`getEnvironment, getErrno, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Berkeley DB version 4.6.21

Copyright (c) 1996,2007 Oracle. All rights reserved.